Bug 805958 - "internal compiler error: Segmentation fault" error during xbmc compilation
"internal compiler error: Segmentation fault" error during xbmc compilation
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-03-22 10:45 EDT by Gökçen Eraslan
Modified: 2012-03-26 03:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-03-22 12:45:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Preprocessed source file (2.02 MB, text/plain)
2012-03-22 10:45 EDT, Gökçen Eraslan
no flags Details
Related ffmpeg header (137.22 KB, text/plain)
2012-03-22 10:52 EDT, Gökçen Eraslan
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 52671 None None None Never

  None (edit)
Description Gökçen Eraslan 2012-03-22 10:45:44 EDT
Created attachment 572015 [details]
Preprocessed source file

Description of problem:

When I try to compile the latest snapshot of XBMC using this specfile[1], I got the following g++ error:

CPP     xbmc/cores/AudioRenderers/AudioRendererFactory.o
In file included from /home/gokcen/rpmbuild/BUILD/xbmc-xbmc-f38655f/lib/DllAvUtil.h:42:0,
                 from /home/gokcen/rpmbuild/BUILD/xbmc-xbmc-f38655f/lib/DllAvCore.h:28,
                 from /home/gokcen/rpmbuild/BUILD/xbmc-xbmc-f38655f/lib/DllAvCodec.h:27,
                 from /home/gokcen/rpmbuild/BUILD/xbmc-xbmc-f38655f/lib/DllAvFormat.h:27,
                 from EncoderFFmpeg.h:26,
                 from CDDARipper.cpp:34:
/usr/include/ffmpeg/libavcodec/avcodec.h:533:1: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/cccKxqHv.out file, please attach this to your bugreport.
make[1]: *** [CDDARipper.o] Error 1
make: *** [xbmc/cdrip/cdrip.a] Error 2
make: *** Waiting for unfinished jobs....
CPP     xbmc/cores/AudioRenderers/ALSADirectSound.o
CPP     xbmc/cores/AudioRenderers/PulseAudioDirectSound.o
AR      xbmc/cores/AudioRenderers/audiorenderers.a
error: Bad exit status from /var/tmp/rpm-tmp.MjbBth (%build)

RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.MjbBth (%build)

I have tried with -O0 and default -O2 optimization flags, and both produced the same error.

Version-Release number of selected component (if applicable):

Steps to Reproduce:
1. Prepare a tarball of latest XBMC 11 Eden branch.
2. Update xbmc.spec accordingly.
3. Use rpmbuild -bb to compile spec file.

Additional info:

I'm using up-to-date Fedora 17 with updates-testing repository. Preprocessed source file is attached.

[1] http://download1.rpmfusion.org/free/fedora/development/source/SRPMS/repoview/xbmc.html
Comment 1 Gökçen Eraslan 2012-03-22 10:52:32 EDT
Created attachment 572016 [details]
Related ffmpeg header

referenced ffmpeg header is attached.
Comment 2 Jakub Jelinek 2012-03-22 12:45:09 EDT
__attribute__((deprecated)) on enum AVLPCType is misplaced, previously GCC would just warn that it ignores the attribute there and suggest where to put it, but 4.7/4.8 crashes on it.  Fixing that upstream now, but please report the misplaced attribute to whomever is responsible for that.
Comment 3 Gökçen Eraslan 2012-03-23 01:19:48 EDT
Thank you for quick response and gcc fix. I'll also inform ffmpeg package maintainer of rpmfusion repository.
Comment 4 Gökçen Eraslan 2012-03-26 03:15:05 EDT
Recently prepared gcc-4.7.0-1 package and gcc-4.7.0-20120322.tar.bz2 tarball does not include this fix, right?
Comment 5 Jakub Jelinek 2012-03-26 03:34:59 EDT
It doesn't, it will be only in subsequent updates.

Note You need to log in before you can comment on or make changes to this bug.